{% extends "base_annexe.html" %}

{% block content %}
<main role="main" class="col-sm-9 ml-sm-auto col-md-10 pt-3">
    <br>
    <h2>Service Instance List</h2>
    <div class="table-responsive">
        <table class="table table-striped">
            <thead>
            <tr>
                <th>#</th>
                <th>service instance name</th>
                <th>service subscription (AAI)</th>
                <th>customer</th>

            </tr>
            </thead>
            <tbody>
            {% for service in service_instances | reverse %}
            <tr>
                <td>
                    <class="service_instance" type="text" id="{{loop.index}}" name="{{loop.index}}"
                    value="{{loop.index}}">{{loop.index}}
                </td>
                <td>
                    <class="service_instance" type="text" id="service_instance_name_{{loop.index}}"
                    name="service_instance_name_{{loop.index}}"
                    value="{{service['service-instance-name']}}">{{service['service-instance-name']}}
                </td>
                <td>
                    <class="service_instance" type="text" id="service_subscription_{{loop.index}}" name="service_subscription_{{loop.index}}"
                    value="{{service['service_subscription']}}">{{service['service-subscription']}}
                </td>
                <td>
                    <class="service_instance" type="text" id="customer_{{loop.index}}" name="customer_{{loop.index}}"
                    value="{{service['customer']}}">{{service['customer']}}
                </td>
                {% set hasVnf = service['has_vnf_instance'] %}
                {% if not hasVnf %}
                  <td><a href="../service_instance_delete?service-instance-id={{service['service-instance-id']}}&resource-version={{service['resource-version']}}&customer={{service['customer']}}&service-subscription={{service['service-subscription']}}" class="btn btn-danger">Delete</a></td>
                {% endif %}
            </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>
</main>
{% endblock %}
